BACKEND_LISTENADDRESS := localhost:9500
dir := $(shell pwd)
userID := $(shell id -u)
userGroup := $(shell id -g)

build:
	docker build .

dev:
	MK_BACKENDLISTENADDRESS=$(BACKEND_LISTENADDRESS) go run . serve

watch:

prod:
	go build -o server && MK_BACKENDLISTENADDRESS=$(BACKEND_LISTENADDRESS) ./server serve

test:
	go test ./...

lint:
	golangci-lint run

clean:

sqlc:
	rm -f application/storage/queries/generated/*.sql.go
	docker run --rm -v $(dir)/application/storage:/src -w /src/queries --user $(userID):$(userGroup) sqlc/sqlc:1.22.0 generate
